Package org.opensaml.saml.metadata.resolver.filter.impl

# Class BasicDynamicTrustedNamesStrategy

java.lang.Object
org.opensaml.saml.metadata.resolver.filter.impl.BasicDynamicTrustedNamesStrategy

All Implemented Interfaces:
  `Function<XMLObject,Set<String>>`

public class BasicDynamicTrustedNamesStrategy extends Object implements Function<XMLObject,Set<String>>
Function which implements a basic strategy for extracting trusted names for PKIX trust engine evaluation.

Names are extracted as follows from these signed metadata element types:

- `EntityDescriptor`: the `entityID` attribute
- `EntitiesDescriptor`: the `Name` attribute
- `RoleDescriptor`: the `entityID` attribute of the parent `EntityDescriptor`
- `AffiliationDescriptor`: 1) the `affiliationOwnerID` attribute and 2) the `entityID` attribute of the parent `EntityDescriptor`

## Constructor Summary

Constructors
Constructor
Description
`BasicDynamicTrustedNamesStrategy()`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`apply(XMLObject input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### BasicDynamicTrustedNamesStrategy

public BasicDynamicTrustedNamesStrategy()

## Method Details

### apply

@Nonnull public Set<String> apply(@Nullable XMLObject input)

Specified by:
  `apply` in interface `Function<XMLObject,Set<String>>`